From nabijaczleweli@nabijaczleweli.xyz Sun Oct  1 01:04:22 2023
Date: Sun, 1 Oct 2023 01:04:22 +0200
From: =?utf-8?B?0L3QsNCx?= <nabijaczleweli@nabijaczleweli.xyz>
To: ~nabijaczleweli/urlview-ng@lists.sr.ht
Subject: urlview-ng 1 released
Message-ID: <nqgmhmytrvhspfuei2vf5bob6wz32wn3eephplbsxigrorypyo@mo3xsippcjqn>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha512;
	protocol="application/pgp-signature"; boundary="27aupu5hejbfsw5k"
Content-Disposition: inline
User-Agent: NeoMutt/20230517


--27aupu5hejbfsw5k
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

Source tarball (and signature, same as this mail)
and detailed changelog can be obtained from
  https://git.sr.ht/~nabijaczleweli/urlview-ng/refs/1

This marks the first upstream release since 0.9 dated "July 4, 2000";
derived from Debian 0.9-24, but how much of that remains is questionable.
Thus, see the detailed changelog.

Interesting user-facing changes are:
1. url_handler.sh should now have a more modern suite of default browsers,
   supports arguments, and finds programs by $PATH
2. the default regex and url_handler.sh support gemini (lagrange:XW amfora:=
XT)
3. press e to edit, =E2=86=B5 no longer does so by default (reenable with "=
EDIT yes")
4. you can mouse around (set "MOUSE no" if you don't want to)
5. referenced in these fixed bugs:
     https://bugs.debian.org/127090
     https://bugs.debian.org/161620
     https://bugs.debian.org/631481
     https://bugs.debian.org/690405
     https://bugs.debian.org/983417
     https://bugs.debian.org/985259
     https://bugs.debian.org/988055
     https://todo.sr.ht/~nabijaczleweli/urlview-ng/1
     https://todo.sr.ht/~nabijaczleweli/urlview-ng/2
     https://todo.sr.ht/~nabijaczleweli/urlview-ng/3

Known issues:
  The URL editor is plagued with the infelicities of being extracted
  from 1997 mutt when faced with multibyte characters;
  you can enter them now, at least, but the editing usability is lacking
  (https://todo.sr.ht/~nabijaczleweli/urlview-ng/4)

Thanks to Cicada for providing the French translation.

--27aupu5hejbfsw5k
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCgAdFiEEfWlHToQCjFzAxEFjvP0LAY0mWPEFAmUYqXIACgkQvP0LAY0m
WPE4yA/+K+CCAioXGhmm8k+ynwab3Wd0hsJjdQoFqjsHbP5x606TG7GY1ZRHgmCI
SWCW/nh/TZcNdetE3UvGd62PhBfZ3l6LNt5DFwJfIa5c5fbSM/ytiV3KCyATg9oF
yayJd3mN34zFGHxci/Lf5b1SNtagrPhadmSXkhINIp33fvoro0lXGCCf9ZhVg3D/
4E+uImHWTcyULHl75CEMK33isFCbf4zdJTKEoBNM5GVga42HVtrTqxCeYyGX+R5O
YTWONqYD4vqCvE3uU4lfmDVh0pAcZ3itaB1pP2j3pyVHhBfSTI1q9xKoEkCNUVGn
zRFo88ljG51XRdLYTDuBStOIz/T6+jA2UvNRHQ9z3yADwNWyXfV5dlKctgFG+7Du
K0qQkm2oMTTNJb6bKhRnqqeVWZwltczmTtNDuyiz0gRz2YCjn9AEN9axNuGznHck
S3y27QjxI8vOgT5SIunV3BAnloeSAOOwTSWZUUQgYn2Pxr+Rzqvt2S61mXbb4M4i
bYan8YbSiAgv8QVfwbmeiGfm3+5jVXWuShZLyJeySAk5HnnJLa0C2pMAAw6MgKRU
9Z0Oi/Untdl9FT1VjKPUPDDy/Hc7mJraWkz21MeWBpukFihkoUw+q2xUaUdNJ0pg
qN92Sr7fJhxWEwL3gk5UI99JSgfAxts1yz9myuxjiL6ke8x6qR0=
=wAuC
-----END PGP SIGNATURE-----

--27aupu5hejbfsw5k--

From nabijaczleweli@nabijaczleweli.xyz Mon Oct  2 16:47:53 2023
Date: Mon, 2 Oct 2023 16:47:53 +0200
From: =?utf-8?B?0L3QsNCx?= <nabijaczleweli@nabijaczleweli.xyz>
To: ~nabijaczleweli/urlview-ng@lists.sr.ht
Subject: urlview-ng 1a released
Message-ID: <22tzr4tlludcpjssrcogpytavarzwwh6bnara27utxdoqnrip6@vtened5ttvjx>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha512;
	protocol="application/pgp-signature"; boundary="3bpjflv6kwvy5irx"
Content-Disposition: inline
User-Agent: NeoMutt/20230517


--3bpjflv6kwvy5irx
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

Source tarball (and signature, same as this mail)
and detailed changelog can be obtained from
  https://git.sr.ht/~nabijaczleweli/urlview-ng/refs/1a

This fixes some minor bugs, mostly relating to the build system;
reprodcible-builds SOURCE_DATE_EPOCH is now respected.

Mousing around while in the editor inserting =C6=99 has been fixed
(https://todo.sr.ht/~nabijaczleweli/urlview-ng/5).

Known issues unchanged:
  The URL editor is plagued with the infelicities of being extracted
  from 1997 mutt when faced with multibyte characters;
  you can enter them now, at least, but the editing usability is lacking
  (https://todo.sr.ht/~nabijaczleweli/urlview-ng/4)

--3bpjflv6kwvy5irx
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCgAdFiEEfWlHToQCjFzAxEFjvP0LAY0mWPEFAmUa2BgACgkQvP0LAY0m
WPHhvA//d9/IDaW3e/wB0RqLZWG2lfvVGaUzEVFqVAtq+TSiNXsCEm2Ush7rjvPS
ae9Hyx0Rip1N7ngMXqvJ/B/JWgGyOVKr5do6gNlCreKNH2/NSJdpBwCWKLF111xo
mG1Fd9IduldYym9ovdVIl4w/7ZIaQa+RSr0ihEgdV1ZJFhD8cLttxzWxudxjTUAw
/74ezkSNOJ3vuLA6Px9/VFC2WUD9cMVNwjFx23sA7/tT3ii1fvH1Cz9lSnmcoJt5
LXC8dK6fI+dFno9nAHxaNF7tfU0Lz0ApTT2XKal3KgvMhzV/4mZiTwAJuCKlemJl
v45fURlMrcRG31R5iC1KPXArK7aBCOhprMqjU4Mki4ClwTh7F/qkg4Dw0YbSeIsf
wxsEZupm6GULmnSjGoMr8vbYwJAERV2TghJ1llT1RogjfGU7+hyuLiwCUSOjKkC7
xlzaKbJaN7J6WIA5xfgOHgCv7ptul1ai1kNFkdtxu/xJLvEb9LZtSm8WGCEpUHXn
pUEuUhfbCtqxDs4Oz3VqqECi552VQ+QHQyrH/gudw5ft5zQZ5BptJHkx9upZ/eSE
/J7uctdTOES5YkmOyMqYBH1ImKB5Nu+jjydv+1ihXDOvQ6GCwm7Aads18WHGdsXj
wczj88K57FQhWx4GWoTVgngvsqaTzPois1IjWQXFeRMY53AKlTo=
=r7Xq
-----END PGP SIGNATURE-----

--3bpjflv6kwvy5irx--

From nabijaczleweli@nabijaczleweli.xyz Sat Oct  7 12:34:41 2023
Date: Sat, 7 Oct 2023 12:34:41 +0200
From: =?utf-8?B?0L3QsNCx?= <nabijaczleweli@nabijaczleweli.xyz>
To: ~nabijaczleweli/urlview-ng@lists.sr.ht
Subject: urlview-ng 1b released
Message-ID: <bfoe4qi6jfvjz5yd3ghgyad3vhohhoybs4u2hkch3dgaw2z2qc@exaiis3f3har>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha512;
	protocol="application/pgp-signature"; boundary="jxf4u4vz5eppbyqj"
Content-Disposition: inline
User-Agent: NeoMutt/20231006


--jxf4u4vz5eppbyqj
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline

Source tarball (and signature, same as this mail)
and detailed changelog can be obtained from
  https://git.sr.ht/~nabijaczleweli/urlview-ng/refs/1b

This polishes out some draft UI that was left in 1
(post-exec signal formatting,
 exec status line showing the start instead of the end,
 "Unknown key" bafflingly used to mean "Unused setting").

Licences are now in a REUSE-compatible layout.

Known issues unchanged:
  The URL editor is plagued with the infelicities of being extracted
  from 1997 mutt when faced with multibyte characters;
  you can enter them now, at least, but the editing usability is lacking
  (https://todo.sr.ht/~nabijaczleweli/urlview-ng/4)

--jxf4u4vz5eppbyqj
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCgAdFiEEfWlHToQCjFzAxEFjvP0LAY0mWPEFAmUhNEEACgkQvP0LAY0m
WPGRVw/+M8+6D6UR7lDnIHRnVO5PKJ6csXMIvZHWmo3lxlYK8yqKytE8Pg6vQ67A
nfSyBXWCO++V2r4LNrMoqSGuYWNJ7VyA3Cng/EZPnQiykDe7bWBAJ3PhsGrxtFP/
t0iIyw6bhdLqtFUKsl7UNeYMtQeLhCkVlPPb84/QZCHSQBT/esKzpjgnGNSkDhbK
vK0Sw2eiVCZpaGZdHVS6vCxaPNXrrTu2RT57a/dsxon9IC3a0a7Huh4CSP391DQq
De98V2GVXYmwkeV5oz9Y9MGfupYAdz3LKf1BqNoJMoZo4/MOvLuQw/tEApJjjOUm
u/KXLkW22gBnULzWgNRX9ZHqTe5TMFtHjZvcJo22dBJo3XNJ2YEcre0AaQBVaNM5
7q1QSmtQ515RnRptBwJruqTCGMQlQ+Ke8C7CWgyR/MPetzeQleTaSw7cPNFqes+u
luNQO3xmP5VMbS6Kl15ICUagCweYVL3pyIj/tQT6Aj3P0+1Ak8X7vwDO0FAIssm8
x1OENOgGzClWSiw5Kf4dZzoK8EtYvuXg8b3P/mN9WfQxe+j6euO+JTTjmubjTaMC
pcag5WePbnci+jDxUCWPeUXj7veSoeHL7t9tE9+bjodhZ/hfM0ukEgUIMl0g6xC+
HUBwQbpV1SezKSB4HDM1Z26r8Av0F8DgJLTOhOk4yzTxT2XiFv0=
=xJ4y
-----END PGP SIGNATURE-----

--jxf4u4vz5eppbyqj--

From nabijaczleweli@nabijaczleweli.xyz Mon Dec 11 13:11:14 2023
Date: Mon, 11 Dec 2023 13:11:14 +0100
From: =?utf-8?B?0L3QsNCx?= <nabijaczleweli@nabijaczleweli.xyz>
To: ~nabijaczleweli/urlview-ng@lists.sr.ht
Subject: urlview-ng 1c released
Message-ID: <qyocbhszerovpj7ehfnxwjnyhwzfm3ghh65pwqxmtvgks6vzwf@tarta.nabijaczleweli.xyz>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha512;
	protocol="application/pgp-signature"; boundary="u2szwbubcvjosggd"
Content-Disposition: inline
User-Agent: NeoMutt/20231103


--u2szwbubcvjosggd
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline

Source tarball (and signature, same as this mail)
and detailed changelog can be obtained from
  https://git.sr.ht/~nabijaczleweli/urlview-ng/refs/1c

This fixes text entry to correctly handle multi-byte and non-1-width characters
(https://todo.sr.ht/~nabijaczleweli/urlview-ng/4);
as a side-effect of this, werase (^W) behaviour is slightly greedier,
consuming punctuation /and/ text that precedes it instead of /or/:
0.9 and 1b editors would split
  ftp.us.debian.org/debian/pool/main/u/urlview/urlview_0.9-6_i386.deb
into
  ftp . us . debian . org / debian / pool / main / u / urlview / urlview _ 0 . 9 - 6 _ i386 . deb
whereas 1c splits it into
  ftp. us. debian. org/ debian/ pool/ main/ u/ urlview/ urlview_ 0. 9- 6_ i386. deb
which is much less agonising given how URLs are typically constructed.

The layout of the branding in the title bar is fixed
(https://bugs.debian.org/1057411),
and screen drawing is generally made much more consistent,
including correct cursor placement, status line clearing,
and fruitless searches erroring out similarly to invalid gotos.
In particular cursor placement restores 0.9-24's usability with screen readers,
as reported by Chime Hart <chime@hubert-humphrey.com>
(https://lists.debian.org/debian-lts/2023/12/msg00015.html,
 https://lists.sr.ht/~nabijaczleweli/urlview-ng/%3Cns66hbwoui6nyxikpjbcbfxrdrtyocoixgvpkg6efwluaaisci%40tarta.nabijaczleweli.xyz%3E).

There is a new VIA parameter which can alter how the URL is passed to the COMMAND:
  VIA argument     as previous, as an argument; default
  VIA environment  the environment as $URL
  VIA pipe         the standard input stream, alone on a line
and url_handler.sh understands all of them.

"VIA argument" as well as url_handler.sh
(by its sole nature of executing browsers)
may make the opened URL visible to other users in ps(1), [h]top(1), &c.

If this is of concern, something to the tune of
  VIA pipe
  COMMAND xclip -selection clipboard
may be a good option
(https://bugs.debian.org/1043334).

If a COMMAND entry fails with a non-zero exit code, it's logged correctly.

url_handler.sh messages are localised like urlview is into Polish and French,
with the French translation once again contributed by Cicada.

--u2szwbubcvjosggd
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCgAdFiEEfWlHToQCjFzAxEFjvP0LAY0mWPEFAmV2/GEACgkQvP0LAY0m
WPHlcg//b3ZQ9MzHdHXrOJYOHx6Nyucfbcl5F8opp3JlJfK24Dg8CH+ALAXC019G
nHrZJouaV/Wg6Xp9noRymhfEgUILhf7k2SphR90YsLRB4BvEc++sIXca28f/APzm
Ek12SZaln6wlbRJGJHZKQuhP3in3/l9jARHAoepk+SRl68p1IJlvjnriZsuP2+Rq
olpHGzn8UzjHgyeWlX8B0EIftcJJgahEEuzI8LzEjjk2Ok2vt3cVlSR7giA6bNps
3VLcefepWa0UnP9JJ7DWtI29IZ/+8QQkrT74un4MQVpBGyhpKFTXfymlt5MUwY58
6+YXYMEilh1W5KxLOKP+eU+gfvnHzAMTO+61G1cHIY2ZbmM15pI8yA82XMV6pIih
fSTC7EJirmRrQKj/4diLoP+LHC6GhagZm0LK6FV2BRmMXOKAz0bmPgYKdCqA5+b8
+wfaAhTmk5ZfYCUCxL8sGivgMF58sA/sLIaCbkiWd8dyJIxqo45Ggu4Qvr5WwP8S
aqen6hZbrLuW68gzuQUwJOdIOZ0AE9JXshGX1Q/qSarFxgbamAKQ0qrqGL12MzBb
GHoS1eyy2uhJnjlAeY2TqZ1D4XMRhCfzMyVGUTrXko4BiE6OpmzAKhTkZ6ilrpfy
Fw+G3yLKAnTgMatjeqiantu8GIT15jUc8A+mdA5zfZA06WUeZDw=
=Y3wv
-----END PGP SIGNATURE-----

--u2szwbubcvjosggd--

From nabijaczleweli@nabijaczleweli.xyz Fri Feb 16 12:20:29 2024
Date: Fri, 16 Feb 2024 12:20:29 +0100
From: =?utf-8?B?0L3QsNCx?= <nabijaczleweli@nabijaczleweli.xyz>
To: ~nabijaczleweli/urlview-ng@lists.sr.ht
Subject: urlview-ng 1d released
Message-ID: <y5py6rimatackosnno727qmkmfobrwy4b6r6ldhn7q5qsuter2@tarta.nabijaczleweli.xyz>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha512;
	protocol="application/pgp-signature"; boundary="zm6h43ydkbzkzhxl"
Content-Disposition: inline
User-Agent: NeoMutt/20231221-2-4202cf-dirty


--zm6h43ydkbzkzhxl
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline

Source tarball (and signature, same as this mail)
and detailed changelog can be obtained from
  https://git.sr.ht/~nabijaczleweli/urlview-ng/refs/1d

This fixes the tail of the status line to be cleared in all scenarios
(reported by Cicada),
clicking the title/status lines opening the first/last URLs
(https://todo.sr.ht/~nabijaczleweli/urlview-ng/7),
and hotlooping, instead of exiting, on hangup.

--zm6h43ydkbzkzhxl
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCgAdFiEEfWlHToQCjFzAxEFjvP0LAY0mWPEFAmXPRP0ACgkQvP0LAY0m
WPGsgg/+O7uwIsdhXCc6NL8+dOW3tAc17yA9QzgwM/Iwa/TvQHKWGCSRsRwb62C2
fewkUZ2ekTJrMRC8GCFrLVbKOcUHJG6ir7mKMja0rMojRNkzi58V7k0HayvmymHN
Ehv8V4XJsb0aXwqzwrrAT4H1DWKsc0tcQJG0Sic014273w+GOeXUCIWXvGwZoPYJ
UWaNO4H8JtU//N47JiEj0J8BRGZ+BW89VnMfX5zBwEQuxKZjSHvGYzcS/PIkLFQt
+BLaegoQS0EaYILNJw/Size0X5HMZdsNY1yvHhMxr6vz6jKZtoYZuH1rQa/h7Iwe
jJsW5O+Z9H6DufETVyklsU6PSrnqRZTmzHEtshEEZ7XtKKxNZIMlNu4CB9DjFxF9
Wi6riT95lzz8ud8q9XqeskMuqIU+WrelPPkqgcqQv1zSuPSRdyOzzcE6S8b6Prc/
E8RAvYtsqPGfISFAqvls+Z6w7gXgn4NohUr+sx8scmWfFx+RO7GuriVt4rH5TKVv
EIPYdl6X54os6G0xf1GynLH76atMYYrPvE+/yWLFyFOGNmvZhzhgvVgN8ScFrs8w
VBY6LYm3o4OfpXCpMnLJn05UeFCWyqMExXAgwrJQ4HkHf5HzoaRmV+R+i+1cXq7P
+CLLml0to35k4gjfX7qiEzVgzJ3oiwzipuyAVyA4w8hygZzazEI=
=Bhwx
-----END PGP SIGNATURE-----

--zm6h43ydkbzkzhxl--

From nabijaczleweli@nabijaczleweli.xyz Sun Oct  6 17:02:28 2024
Date: Sun, 6 Oct 2024 17:02:28 +0200
From: =?utf-8?B?0L3QsNCx?= <nabijaczleweli@nabijaczleweli.xyz>
To: ~nabijaczleweli/urlview-ng@lists.sr.ht
Subject: urlview-ng 1e released
Message-ID: <dnsxjzybqtbd4gliwrqxhzmief6ezppyjnk64ipeudseti4be7@tarta.nabijaczleweli.xyz>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha512;
	protocol="application/pgp-signature"; boundary="e7il55givotypr3d"
Content-Disposition: inline
User-Agent: NeoMutt/20231221-2-4202cf-dirty


--e7il55givotypr3d
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

Source tarball (and signature, same as this mail)
and detailed changelog can be obtained from
  https://git.sr.ht/~nabijaczleweli/urlview-ng/refs/1e

y is bound to copy the currently selected URL.
(This is done by running xclip/xsel/wl-copy.)
RMB (mouse 3) selects the moused-over URL and runs y on it
(like LMB (mouse 1) does with =E2=86=B5).
(https://todo.sr.ht/~nabijaczleweli/urlview-ng/8)

--e7il55givotypr3d
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCgAdFiEEfWlHToQCjFzAxEFjvP0LAY0mWPEFAmcCpoAACgkQvP0LAY0m
WPEcbBAArP2whYK7H7vhRPVCFlLOoz1maVXDMRAYUf2YhsPGesdqlrny3i50PWVj
ElJRuQpjzl0V1DGO250Y8FHAsBlnsH1sCoMmk1hwdjw2lGyfewue6fXroEXalxmJ
VXVYqgcFy2S8I/ywCcWyDaJZ/KfA/2uQBZ1ZGZimVQacW+i9R4fS12szfnl1gqJi
Y7hO0TJHgm7K5ncHGvM+pcr0CFED8ojXOThNPHNpsQ9WwyjxdiTaCT1tDD2KWYuK
TijL4YyRRzkm/nDMwsiNgt4PQJIxXsjH9Az0cxc43UuetbrL5aWzvQhSTcSJ5vfu
pb2B3OxOdW4xOOJKJU2fvvpKNXcrvEyQCQ9SXsUpEL32m+RQZIwKukzILvXhiCUd
5dsscc45NajnR3Gdpvl2Nn6nWLVBdMD3j0w452sFD+mHXt9nnGofYw2u3J+YxVlW
QgzjDwLu1b/+JkkFWJEecO0wno0AE1+8c4JKP6rX1Y4bxx+qyN8sdMNr74tAxE87
Zl6duTOWshRtO0TLzNO4CsbuZKJU5+0y6XJ1qu3xWq4LubXXXA39HWbPWBOv6vJ0
M9qmZRMCKE5nwPz7xFMmZcRlKB3geWPvK0bOXE7V5BcFzSlTEB7bKOiHuuwe++14
UdSYi/O/P2G2S/XqCUsZTYuCbIg2tNBOYBnWXX3D12JVjcy4Wj0=
=uWfr
-----END PGP SIGNATURE-----

--e7il55givotypr3d--

